Subject: [alpine-devel] extra

From: Cameron Banta <[email-masked]>
Date: Thu, 11 Jun 2009 22:46:12 -0500

Hello,

Please review and commit.

pgpool 2 is middleware for postgresql that allows effective multi master
clustering. (I got fed up with pgcluster.)

-Cameron
>From 4cabb2085013734a1aad1ce7d62a82a71cc8584c Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Fri, 12 Jun 2009 03:40:56 +0000
Subject: [PATCH] initial commit

---
 extra/pgpool/APKBUILD     |   29 +++++++++++++++++++++++++++++
 extra/pgpool/pgpool.initd |   24 ++++++++++++++++++++++++
 2 files changed, 53 insertions(+), 0 deletions(-)
 create mode 100644 extra/pgpool/APKBUILD
 create mode 100644 extra/pgpool/pgpool.initd

diff --git a/extra/pgpool/APKBUILD b/extra/pgpool/APKBUILD
new file mode 100644
index 0000000..980b301
--- /dev/null
+++ b/extra/pgpool/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Cameron <[email-masked]>
+# Maintainer: Cameron <[email-masked]>
+pkgname=pgpool
+_opkgname=pgpool-II
+pkgver=2.2.2
+pkgrel=0
+pkgdesc="Pgpool II is a connection pooling/replication server for PostgreSQL."
+url="http://pgfoundry.org/projects/pgpool/"
+license="BSD"
+makedepends="postgresql-dev"
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://pgfoundry.org/frs/download.php/2191/$_opkgname-$pkgver.tar.gz
+	$pkgname.initd"
+
+build() {
+	cd "$srcdir/$_opkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+
+	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+}
+
+md5sums="6f14514ed4ed5368ad3ab7e2d4c5136b  pgpool-II-2.2.2.tar.gz
+21573def15ffd08a07221569ef54c149  pgpool.initd"
diff --git a/extra/pgpool/pgpool.initd b/extra/pgpool/pgpool.initd
new file mode 100644
index 0000000..d577cf9
--- /dev/null
+++ b/extra/pgpool/pgpool.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+	need net
+	use postgresql
+}
+
+start() {
+	ebegin "Starting pgpool-II"
+	start-stop-daemon --start --quiet --exec /usr/bin/pgpool --f /etc/pgpool.conf -F /etc/pcp.conf
+	result=$?
+	eend $result
+}
+
+stop() {
+	ebegin "Stopping pgpool-II"
+	start-stop-daemon --stop --quiet --pidfile /var/run/pgpool.pid
+	result=$?
+	eend $result
+}
+
-- 
1.6.2.5

---

From: Michael Mason <[email-masked]>
Date: Fri, 12 Jun 2009 22:21:29 +0000

> clustering. (I got fed up with pgcluster.)
Applied patch.
git://git.alpinelinux.org/aports-mmason

Used git am.
Saved the patch file from the email.

git am -k filename.patch

During the first push I had to run git push --force.
Let me know if this gives problems or if I need to change how this is  
done.

Thanks

> -Cameron
> <extra_pgpool_0001-initial-commit.patch>

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---